<?php
    class Privacy_policy extends Controller{
		
        
        public function edit()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/

            // get data
            $dataView['privacy'] = $this->loadModel("PrivacyPolicyModel")->retrieveAllData("WHERE `id` =? AND `deleted` =?",array(1,1));
            if($dataView['privacy'] == NULL)
            {
                $this->redirect("error","index");
                exit();
            }
            $dataView['privacy'] = array_shift($dataView['privacy']);
             // get ar and en Data
            $dataView['privacyEn'] = $this->loadModel("PrivacyPolicyEnModel")->retriveDataById("id_privacy",1);
            $dataView['privacyAr'] = $this->loadModel("PrivacyPolicyArModel")->retriveDataById("id_privacy",1);

            //start Edit question
			if(isset($_POST['edit']))
            {
                
                // preparing validation array
                $validationArray = array(
                                            "description"=>array(
                                                             "value"=>$_POST['description'],
                                                             "errorName"=>"Description",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            "ar_description"=>array(
                                                             "value"=>$_POST['description_ar'],
                                                             "errorName"=>"الوصف",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            
                                  );
                // load validation classs and pass validation data
                $dataValid = $this->loadValidation($validationArray)->formValidate();
                // check if the data is ok
                if(is_array($dataValid) && array_key_exists("success",$dataValid))
                {
                    $dataModel['status'] = 1;
                    $updateData = $this->loadModel("PrivacyPolicyModel",$dataModel)->UpdateData("id",1);
                    if(FALSE !== $updateData)
                    {
                        // preparing en data
                        $dataEnModel['description'] = $dataValid['success']['description'];
                        $updateEnData = $this->loadModel("PrivacyPolicyEnModel",$dataEnModel)->UpdateData("id_privacy",1);
                        // preparing ar data
                        $dataArModel['description'] = $dataValid['success']['ar_description'];
                        $updateArData = $this->loadModel("PrivacyPolicyArModel",$dataArModel)->UpdateData("id_privacy",1);
                        if(False !== $updateEnData && FALSE !== $updateArData)
                        {
                           $dataView['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Data Updated Successfully Please Wait .. </div>';
                           header("Refresh: 2"); 
                        }else{
                            $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Updating Your Data Please Try Again</div>';
                        }
                    }else{
                        $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Updating Your Data Please Try Again</div>';
                    } 
                    
                }else{
                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';
                }
            }
            
            
			$dataView['title'] = "Edit Privacy Policy";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."privacy_policy_edit";
            // load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
    
        
        
    }

?>