<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post" enctype="multipart/form-data">
                <div class="col-lg-6">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Add a New Category</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">Category Name</label>
                              <input type="text" name="enName" value="<?php if(isset($_POST['enName'])){echo $_POST['arName'];} ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Category Name">
                              <p class="help-block">Example : Cars - Clothes<p>
                            </div>
                            <div class="form-group">
                              <label for="availability" class="set-block">Sub Category ?</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" class="sub" id="sub1" value="1" name="sub" >
                                 <label for="sub1"> Yes </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" class="sub" id="sub2" value="2" name="sub" checked="">
                                 <label for="sub2"> No </label>
                              </div>
                           </div>
                            <div class="form-group main_category">
                              <label for="exampleInputEmail1">Main Category</label>
                              <select name="main_category"  class="form-control">
                                  <?php
                                    if(isset($categories) && is_array($categories))
                                    {
                                        foreach($categories as $key=>$data)
                                        {
                                            echo '<option value='.$data['id'].'>'.$categoriesEn[$key]['name']." - ".$categoriesAr[$key]['name'].'</option>';
                                        }
                                    }else{
                                        echo '<option value="0">No Data Found</option>';
                                    }
                                  ?>
                              </select>
                              <p class="help-block">Select Main Category<p>
                            </div> 
                            <div class="form-group">
                              <label for="exampleInputEmail1">description</label>
                                <textarea name="en_description" class="form-control"><?php if(isset($_POST['en_description'])){echo $_POST['en_description'];} ?></textarea>
                              <p class="help-block">Add Category Description<p>
                            </div>
                              <div class="form-group">
                                  <label for="exampleInputFile">  Main Image</label>
                                  <input type="file" name="image" id="exampleInputFile">
                                  <p class="help-block">Upload Category Image.</p>
                              </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">Category KeyWords</label>
                                <textarea name="en_keywords" class="form-control"><?php if(isset($_POST['en_keywords'])){echo $_POST['en_keywords'];} ?></textarea>
                              <p class="help-block">Add Category KeyWords<p>
                            </div>  

                              <div class="form-group">
                                  <label for="exampleInputFile">  Advertisement  Image</label>
                                  <input type="file" name="advertisingimage" id="exampleInputFile">
                                  <p class="help-block">Upload Advertisement Image.</p>
                              </div>
                              <div class="form-group">
                                  <label>Category Images</label>
                                  <input id="" name="catmultipleimages[]" type="file" multiple class="form-control" >
                                  <p class="help-block">Upload Category Images.</p>
                              </div>
                            <div class="form-group">
                              <label for="availability" class="set-block">Status</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio1" value="1" name="status" checked="">
                                 <label for="inlineRadio1"> Active </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio2" value="2" name="status">
                                 <label for="inlineRadio2"> Not Active </label>
                              </div>
                           </div>    
                          </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" name="add" class="btn btn-primary">Add</button>
                            </div>
                      </div>
                      <!-- /.box -->
                </div>
                <div class="col-lg-6 arab_dir">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">أضف قسم جديد</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">أسم القسم</label>
                              <input type="text" name="arName" value="<?php if(isset($_POST['arName'])){echo $_POST['arName'];} ?>" class="form-control" id="exampleInputEmail1" placeholder="أدخل أسم القسم باللغة العربية">
                              <p class="help-block">مثال : سيارات - ملابس<p>
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">الوصف</label>
                                <textarea name="ar_description" class="form-control"><?php if(isset($_POST['ar_description'])){echo $_POST['ar_description'];} ?></textarea>
                              <p class="help-block">أضف الوصف<p>
                            </div> 
                            <div class="form-group">
                              <label for="exampleInputEmail1">الكلمات الدليلية</label>
                                <textarea name="ar_keywords" class="form-control"><?php if(isset($_POST['ar_keywords'])){echo $_POST['ar_keywords'];} ?></textarea>
                              <p class="help-block">أضف الكلمات الدليلية<p>
                            </div>   
                                                            
                          </div>
                          <!-- /.box-body -->
                      </div>
                      <!-- /.box -->
                </div>
                    
                </form>    
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
$(document).ready(function(){
	// start show and hidden main category
    $(".sub").change(function(){
        var value = $(this).val();
        if(value == 1)
        {
            $(".main_category").show();    
        }else{
            $(".main_category").hide(); 
        }
    });
	// end show and hidden main category
});
</script>

