<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post" enctype="multipart/form-data">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Edit Category Attributes</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->

                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                          <div class="box-body">
                              
                              <div class="row">
                                <div class="col-lg-12">
                                   <div class="form-group last_input">
                                      <label for="exampleInputEmail1"  class="set_block">Category</label>
                                      <input type="text" name="category_id" value="<?php echo $categoryEn['name']." - ".$categoryAr['name'] ?>" class="form-control" readonly>
                                    </div>
                                </div>
                                  
                              </div>

                            <br />
                            <div class="data_added">
                                  <div class="row last_row">
                                    
                                    <div class="col-lg-6">
                                        <div class="form-group last_input">
                                          <label for="exampleInputEmail1" class="set_block">Attribute Name (English)</label>
                                          <input type="text" name="en_attribute[]" class="form-control" id="exampleInputEmail1" placeholder="example : color - size">
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group last_input">
                                          <label for="exampleInputEmail1" class="set_block">Attribute Name (Arabic)</label>
                                          <input type="text" name="ar_attribute[]"  class="form-control set_width2" id="exampleInputEmail1" placeholder="مثال : اللون - الحجم">
                                          <i class="fa fa-plus add_more_inputs add_more_inputs2" title="Add More" aria-hidden="true"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>

                          </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" name="add" class="btn btn-primary">Add</button>
                            </div>

                      </div>
                      <!-- /.box -->
                </div>
                </form>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title ">Update And Delete Current Attibutes</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="adminform">
                        <div class="text-center">
                            <span onclick="exportToexcel('#all_data')" class="btn btn-success export-btn">Export To Excel</span>
                        </div>
                        <!-- form start -->
                        <table id="all_data" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData tableForAllData" cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th>English Name</th>
                                    <th>Arabic Name</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    if(isset($attributes) && is_array($attributes))
                                    {
                                        foreach($attributes as $key=>$data)
                                        {
                                            echo '<tr id="row'.$data['id'].'">
                                                    <td>'.$attributesEn[$key]['name'].'</td>
                                                    <td>'.$attributesAr[$key]['name'].'</td>
                                                    <td>';
                                                    if($data['status'] == 1)
                                                    {
                                                        echo '<span data-id="'.$data['id'].'" title="update Status" data-target="on" class="status on update'.$data['id'].'">on</span>';
                                                    }else{
                                                        echo '<span data-id="'.$data['id'].'" title="update Status" data-target="off" class="status off update'.$data['id'].'">off</span>';
                                                    }
                                            echo'</td>
                                                    <td>
                                                        <ul class="actions">
                                                         <li><a href="" data-toggle="modal" data-id="'.$data['id'].'" data-target="#deleteModal" class="deleteIcon" title="حـذف"><i class="fa fa-trash" aria-hidden="true"></i></a></li>
                                                        </ul>
                                                    </td>
                                                  </tr>';
                                        }
                                    }else{
                                        echo '<tr><td colspan="4">No Data Found</td></tr>';
                                    }
                                ?>
                            </tbody>
                        </table>
                        </div>
                      </div>
                      <!-- /.box -->
                </div>
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->
<!-- Start Delete Modal -->
<div class="modal fade" id="deleteModal" role="dialog">
   <div class="modal-dialog">
      <!-- Modal content-->
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Confirm delete Your Data</h4>
         </div>
         <div class="modal-body">
            <div id="deleteResult"></div>
            <p>Are You Sure ? </p>
            <input type="submit"  class="btn btn-primary del" name="delete" value="Delete" />
         </div>
         <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
         </div>
      </div>
   </div>
</div>
<!--End Delete Modal-->
<script type="text/javascript">
$(document).ready(function(){
    
    // start add more inputs code

    var counter = 0;
    var html = '';
    $(".content-wrapper").on("click",".add_more_inputs",function(){

        if(counter == 0)
        {
            html += $(".data_added").html();
        }
        $(".data_added").last().append(html);
        counter++;
    });
    // end add more inputs code
    // start delete
	 $(".table_for_data").on( 'click', '.deleteIcon', function () {
             $("#deleteResult").html("");
             var myId = $(this).attr("data-id");
             var myaction = "deleteData";
             var allData = {"action":myaction,"id":myId};
             $(".del").click(function(){
                 $.ajax({
                    url: "<?php echo BASE_URL.'category/deleteAttributes' ?>",
                    type:"POST",
                    data: allData,
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                        },
                    },
                    success:function(valdata) {
                        var da = jQuery.parseJSON(valdata);
                        if(da['status'] == "success")
                        {
                          $("#deleteResult").html('<div class="alert alert-success" role="alert"><strong>Success </strong> Data Deleted Successfuly </div>');
                          $('#deleteModal').modal('hide')
                          $("#row"+myId).fadeOut(1000);
                        }else{
                          $("#deleteResult").html('<div class="alert alert-danger" role="alert"><strong> Error ! </strong> Error Deleting  Your Data </div>');
                        }
                    }
                });
                return false;
             });
         });
         // end delete
    //start update  status
        $(".table_for_data").on( 'click', '.status', function () {
             var myId = $(this).attr("data-id");
             var myaction = "updateStatus";
             var mystatus = $(this).attr("data-target");
             var allData = {"action":myaction,"id":myId,"status":mystatus};
            $.ajax({
                    url: "<?php echo BASE_URL.'category/updateArrtibutesStatus' ?>",
                    type:"POST",
                    data: allData,
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                        },
                    },
                    success:function(valdata) {
                        var da = JSON.parse(valdata);
                        if(da['status'] == "success")
                        {
                          if(mystatus == "on")
                          {
                             $(".update"+myId).removeClass("on") ;
                             $(".update"+myId).html("off");
                             $(".update"+myId).addClass("off");
                             $(".update"+myId).attr("data-target","off");
                          }else{
                              $(".update"+myId).removeClass("off") ;
                              $(".update"+myId).html("on");
                             $(".update"+myId).addClass("on");
                              $(".update"+myId).attr("data-target","on");
                          }
                        }else{
                            alert("faild");
                        }
                    }
                });
                return false;
        });
        
        //end update status

});
</script>
