
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
			<?php
				echo isset($title) ? $title : NULL;
			?>
        </h1>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-lg-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title ">Show Category Images</h3>
                    <div class="col-lg-12 ">
						<?php
							if(isset($message))
							{
								echo $message;
							}
						?>

                        <div class="row top-margin">
                            <div class="col-xs-12 deleteResult"></div>
							<?php
								if(isset($images) && is_array($images))
								{
									foreach($images as $image)
									{
										echo'
														  <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12 imgnum'.$image['id'].'">
															<div class="albumImageContainer">
																  <p class="thumbnail">
																	 <img src="'.UPLOAD_LINK.$image['image'].'"  class="img-responsive albumImg">
																  </p>
																  <i title="Delete" class="fa fa-times deleteAlbumImage" data-id="'.$image['id'].'" aria-hidden="true"></i>
															</div>
														   </div>
														';
									}
								}else{
									echo '<div class="col-xs-12"><div class="alert alert-info" role="alert"><strong>Heads up!</strong> No Images For This Category</div></div>';

								}
							?>
                        </div>

                    </div>

                    </div>
                </div>
                <!-- /.box -->
            </div>
        </div>

    </section><!-- /.content -->
</div><!-- /.content-wrapper -->



<script>
	$("document").ready(function(){
		// start image delete
		$(".deleteAlbumImage").click(function(){

			var imageId = $(this).attr("data-id");
			var action = "deleteImage";
			var allData = {"action":action,"imageId":imageId};
			$.ajax({
				url: "<?php echo BASE_URL.'/category/delete_category_images' ?>",
				type:"POST",
				data: allData,
				beforeSend:function(){
				},
				statusCode: {
					404: function() {
						alert( "page not found" );
					},
				},
				success:function(valdata) {
					var da = jQuery.parseJSON(valdata);
					if(da['status'] == "success")
					{
						$(".imgnum"+imageId).fadeOut(1000);
					}else{
						$("#deleteResult").html('<div class="alert alert-danger" role="alert"><strong> Error ! </strong> Error Deleting  Image </div>');
					}
				}
			});

		});
		// end image delete
	});
</script>




