<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post">
                <div class="col-lg-6">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Add a New Governate</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">Governate Name</label>
                              <input type="text" name="enName" value="<?php if(isset($_POST['enName'])){echo $_POST['enName'];} ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Governate Name">
                              <p class="help-block">Add Governate Name<p>
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">Country</label>
                              <select name="country"  class="form-control chosen">
                                  <?php
                                    if(isset($counteries) && is_array($counteries))
                                    {
                                        foreach($counteries as $key=>$data)
                                        {
                                            echo '<option value='.$data['id'].'>'.$counteriesEn[$key]['name']." - ".$counteriesAr[$key]['name'].'</option>';
                                        }
                                    }else{
                                        echo '<option value="0">No Data Found</option>';
                                    }
                                  ?>
                              </select>
                              <p class="help-block">Select Country<p>
                            </div>  
                            <div class="form-group">
                              <label for="exampleInputEmail1">Governate Longitude</label>
                              <input type="text" name="long" value="<?php if(isset($_POST['long'])){echo $_POST['long'];} ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Governate Longitude">
                              <p class="help-block">Add Governate Longitude<p>
                            </div>
                             <div class="form-group">
                              <label for="exampleInputEmail1">Governate Latitude</label>
                              <input type="text" name="lat" value="<?php if(isset($_POST['lat'])){echo $_POST['lat'];} ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Governate Latitude">
                              <p class="help-block">Add Governate Latitude<p>
                            </div> 
                            <div class="form-group">
                              <label for="availability" class="set-block">Status</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio1" value="1" name="status" checked="">
                                 <label for="inlineRadio1"> Active </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio2" value="2" name="status">
                                 <label for="inlineRadio2"> Not Active </label>
                              </div>
                           </div>    
                          </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" name="add" class="btn btn-primary">Add</button>
                            </div>
                      </div>
                      <!-- /.box -->
                </div>
                <div class="col-lg-6 arab_dir">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">أضف محافظة جديدة</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">أسم المحافظة</label>
                              <input type="text" name="arName" value="<?php if(isset($_POST['arName'])){echo $_POST['arName'];} ?>" class="form-control" id="exampleInputEmail1" placeholder="أدخل أسم المحافظة باللغة العربية">
                              <p class="help-block">أدخل اسم المحافظة<p>
                            </div>
                                                            
                          </div>
                          <!-- /.box-body -->
                      </div>
                      <!-- /.box -->
                </div>
                    
                </form>    
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->
<script>
$(document).ready(function(){
	$(".chosen").chosen();
});
</script>
