<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post" enctype="multipart/form-data">
                <div class="col-lg-6">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Edit Selected Product</h3>
                          <a class="btn btn-primary pull-right" href="<?php echo BASE_URL."offer/edit_images/".$offer['id']?>"><i class="fa fa-edit" aria-hidden="true"></i>  Edit Product Images</a>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                            
                            <div  class="box-body">
                            <div class="form-group">
                                <label class="set-block">Main Category</label>
                                <select name="id_category" class="form-control chosen main_category_select">
                                    <option value="0"> Choose Main Category</option>
                                    <?php

                                        if(isset($allCategories) && is_array($allCategories))
                                        {
                                            foreach($allCategories as $key=>$data)
                                            {
                                                if($data['id'] == $offer['id_category'])
                                                {
                                                    echo '<option selected value='.$data['id'].'>'.$allCategoriesEn[$key]['name']."-".$allCategoriesAr[$key]['name'].'</option>';
                                                }else{
                                                    echo '<option value='.$data['id'].'>'.$allCategoriesEn[$key]['name']."-".$allCategoriesAr[$key]['name'].'</option>';
                                                }
                                            }
                                        }else{
                                            echo '<option value="0">No Data Found</option>';
                                        }
                                      ?>
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="set-block">Sub Category</label>
                                <select name="id_sub_category" class="form-control sub_category">
                                    <?php

                                        if(isset($subCategories) && is_array($subCategories))
                                        {
                                            foreach($subCategories as $key=>$data)
                                            {
                                                if($data['id'] == $offer['id_sub_category'])
                                                {
                                                    echo '<option selected value='.$data['id'].'>'.$subCategoriesEn[$key]['name']."-".$subCategoriesAr[$key]['name'].'</option>';
                                                }else{
                                                    echo '<option value='.$data['id'].'>'.$subCategoriesEn[$key]['name']."-".$subCategoriesAr[$key]['name'].'</option>';
                                                }
                                            }
                                        }else{
                                            echo '<option value="0">No Data Found</option>';
                                        }
                                      ?>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Product Title</label>
                                <input id="" value="<?php echo $offerEnData['title']; ?>"  name="title" type="text" class="form-control" placeholder="Product Title">
                            </div>
                            <div class="form-group">
                                <label>Product Slug</label>
                                <textarea name="slug" class="form-control"><?php echo $offerEnData['slug']; ?></textarea>
                            </div>
                            <div class="form-group">
                                <label>Product Description</label>
                                <textarea name="description" rows="8" class="form-control"><?php  echo $offerEnData['description']; ?></textarea>
                            </div>
                            <div class="form-group">
                                <label>Product KeyWords</label>
                                <input id="" value="<?php echo $offerEnData['keywords']; ?>"  name="keywords" type="text" class="form-control" placeholder="separate Between Words With , ">
                            </div>    
                            <div class="form-group">
                                <label class="set-block">Brand</label>
                                <select name="id_brand" class="form-control brand_select">
                                <?php
                                    if(isset($brands) && is_array($brands))
                                    {
                                        foreach($brands as $key=>$data)
                                        {
                                            if($data['id'] == $offer['id_brand'])
                                            {
                                                echo '<option selected value='.$data['id'].'>'.$brandsEn[$key]['name']."-".$brandsAr[$key]['name'].'</option>';
                                            }else{
                                                echo '<option value='.$data['id'].'>'.$brandsEn[$key]['name']."-".$brandsAr[$key]['name'].'</option>';
                                            }
                                        }
                                    }else{
                                        echo '<option value="0">No Data Found</option>';
                                    }
                                    ?>    
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Product Code</label>
                                <input id="" value="<?php  echo $offer['code']; ?>"  name="code" type="text" class="form-control" placeholder="Product Code">
                            </div>     
                            <div class="form-group">
                                <div class="data_added">
                                      <div class="row last_row">
                                          <div class="col-lg-4">
                                            <div class="form-group last_input">
                                              <label for="exampleInputEmail1" class="set_block">Attribute</label>
                                                <select class="form-control category_attrs" name="attr[]">
                                                    <option value="0">Select Attribute</option>
                                                    <?php
                                                    if(isset($attributes) && is_array($attributes))
                                                    {
                                                        foreach($attributes as $key=>$data)
                                                        {
                                                            echo '<option value='.$data['id'].'>'.$attributesEn[$key]['name']."-".$attributesAr[$key]['name'].'</option>';
                                                        }
                                                    }else{
                                                        echo '<option value="0">No Data Found</option>';
                                                    }
                                                    ?> 
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                              <label for="exampleInputEmail1" class="set_block">Value En</label>
                                              <input type="text" name="attr_values_en[]"  class="form-control" id="exampleInputEmail1" placeholder="Value">
                                            </div>
                                        </div>  
                                        <div class="col-lg-4">
                                            <div class="form-group last_input">
                                              <label for="exampleInputEmail1" class="set_block">Value Ar</label>
                                              <input type="text" name="attr_values_ar[]"  class="form-control set_width85" id="exampleInputEmail1" placeholder="القيمة">
                                              <i class="fa fa-plus add_more_inputs add_more_inputs2 " title="Add More" aria-hidden="true"></i>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                            
                            <div class="form-group">
                                <label>Price Per Item </label>
                                <input id="mobile" value="<?php echo (isset($offerDefaultPrice) && is_array($offerDefaultPrice))?$offerDefaultPrice['price_per_item'] : 0 ; ?>"  name="price" type="text" class="form-control" placeholder="50">
                            </div>
	                            <div class="form-group">
		                            <label>Descount Prec % </label>
		                            <input id="mhobile" value="<?php echo (isset($offerDefaultPrice) && is_array($offerDefaultPrice))?$offerDefaultPrice['discount'] : 0 ; ?>"  name="discount_prec" type="text" class="form-control" placeholder=" 10">
	                            </div>

                            <div class="form-group">
                              <label for="availability" class="set-block">Status</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio1" value="1" name="status" <?php if($offer['status']==1 ) echo "checked"; ?>>
                                 <label for="inlineRadio1"> Active </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio2" value="2" name="status" <?php if($offer['status']==2 ) echo "checked"; ?>>
                                 <label for="inlineRadio2"> Not Active </label>
                              </div>
                           </div>
                                <div class="form-group">
                                    <label for="availabilitryty" class="set-block">Special Product</label>
                                    <div class="radio radio-info  radio-inline">
                                        <input type="radio" id="inlineRadio21" value="1" name="special" <?php if($offer['special']==1 ) echo "checked"?> >
                                        <label for="inlineRadio21"> Special </label>
                                    </div>
                                    <div class="radio radio-info  radio-inline">
                                        <input type="radio" id="inlineRadio22" value="2" name="special"  <?php if($offer['special']==2 ) echo "checked"?>>
                                        <label for="inlineRadio22"> Not Special </label>
                                    </div>
                                </div>
                            
                            </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                            <button type="submit" name="edit" class="btn btn-primary">Edit</button>
                          </div>

                      </div>
                      <!-- /.box -->
                </div>
                <div class="col-lg-6 arab_dir">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">تعديل المنتج</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                            
                            <div  class="box-body">
                            
                            <div class="form-group">
                                <label>عنوان المنتج</label>
                                <input id="" value="<?php  echo $offerArData['title']; ?>"  name="title_ar" type="text" class="form-control" placeholder="عنوان المنتج">
                            </div>
                            <div class="form-group">
                                <label>مختصر المنتج</label>
                                <textarea name="slug_ar" class="form-control"><?php  echo $offerArData['slug']; ?></textarea>
                            </div>
                            <div class="form-group">
                                <label>وصف المنتج</label>
                                <textarea name="description_ar" rows="8" class="form-control"><?php echo $offerArData['description']; ?></textarea>
                            </div>
                            <div class="form-group">
                                <label>الكلمات الدليلية</label>
                                <input id="" value="<?php  echo $offerArData['keywords']; ?>"  name="keywords_ar" type="text" class="form-control" placeholder="أفصل بين كل كلمة واخري بعلامة ,">
                            </div>
                            </div>
                          <!-- /.box-body -->

                      </div>
                      <!-- /.box -->
                </div>    
                </form>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title ">Delete Product Attributes</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="adminform">

                        <!-- form start -->
                        <table id="all_data" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData" cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Attribute</th>
                                    <th>Value</th>
                                    <th>Value Ar</th>
                                    <th>action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    if(isset($offerItems) && is_array($offerItems))
                                    {
                                        foreach($offerItems as $key=>$data)
                                        {
                                            echo '<tr id="row'.$data['id'].'">
                                                    <td>'.$data['id'].'</td>
                                                    <td>'.$itemEnData[$key]['name']." - ".$itemArData[$key]['name'].'</td>
                                                    <td>'.$data['value'].'</td>
                                                    <td>'.$data['value_ar'].'</td>
                                                    <td>
                                                        <ul class="actions">
                                                         <li><a href="" data-toggle="modal" data-id="'.$data['id'].'" data-target="#deleteModal" class="deleteIcon" title="Delete"><i class="fa fa-trash" aria-hidden="true"></i>  </a></li>
                                                        </ul>
                                                    </td>
                                                  </tr>';
                                        }
                                    }else{
                                        echo '<tr><td colspan="4">No Data Found</td></tr>';
                                    }
                                ?>
                            </tbody>
                        </table>
                        </div>
                      </div>
                      <!-- /.box -->
                </div>
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<!-- Start Delete Modal -->
<div class="modal fade" id="deleteModal" role="dialog">
   <div class="modal-dialog">
      <!-- Modal content-->
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Confirm delete Your Data</h4>
         </div>
         <div class="modal-body">
            <div id="deleteResult"></div>
            <p>Are You Sure ? </p>
            <input type="submit"  class="btn btn-primary del" name="delete" value="Delete" />
         </div>
         <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
         </div>
      </div>
   </div>
</div>
<!--End Delete Modal-->
<script>
$(document).ready(function(){
 // start delete
	 $(".table_for_data").on( 'click', '.deleteIcon', function () {
             $("#deleteResult").html("");
             var myId = $(this).attr("data-id");
             var myaction = "deleteData";
             var allData = {"action":myaction,"id":myId};
             $(".del").click(function(){
                 $.ajax({
                    url: "<?php echo BASE_URL.'offer/deleteAttributes' ?>",
                    type:"POST",
                    data: allData,
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                        },
                    },
                    success:function(valdata) {
                        var da = jQuery.parseJSON(valdata);
                        if(da['status'] == "success")
                        {
                          $("#deleteResult").html('<div class="alert alert-success" role="alert"><strong>Success </strong> Data Deleted Successfuly </div>');
                          $('#deleteModal').modal('hide')
                          $("#row"+myId).fadeOut(1000);
                        }else{
                          $("#deleteResult").html('<div class="alert alert-danger" role="alert"><strong> Error ! </strong> Error Deleting  Your Data </div>');
                        }
                    }
                });
                return false;
             });
         });
         // end delete
    // start add more inputs code

    var counter = 0;
    var html = '';
    $(".data_added").on("click",".add_more_inputs",function(){

        if(counter == 0)
        {
            html += $(".data_added").html();
        }
        $(".data_added").last().append(html);
        
        counter++;
    });
    // end add more inputs code
    // start get sub category when change category
    	$(".content-wrapper").on("change",".main_category_select",function(){
			 // get provider id
			 var id = $(this).val();
			 var myaction = "getCategorySubCategories";
             var allData = {"action":myaction,"id":id};
            $.ajax({
                    url: "<?php echo BASE_URL."offer/get_sub_categories_by_category_id" ?>",
                    type:"POST",
                    data: allData,
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                        },
                    },
                    success:function(valdata) {
                        
                        //alert(valdata);
                        //return;
                        var da = jQuery.parseJSON(valdata);
                        var text  = '',
                            text2 = '',
                            text3 = '';
                        
                        if(da['status'] == "success")
                        {
                            // start add data to sub category select
                            if(da['subCategoriesEn'] != null)
                            {
                                for(i = 0; i< da['subCategoriesEn'].length;i++)                                                                                         
                                {
                                    text += '<option value="'+da['subCategoriesEn'][i]['id_category']+'">'+da['subCategoriesEn'][i]['name']+" - "+da['subCategoriesAr'][i]['name']+'</option>';	
                                }
                                $(".sub_category").html(text);      
                            }else{
                                $(".sub_category").html("<option value='0'>No Sub Categories Found</option>");
                            }
                            // end add data to sub category select
                            
                            // start add data to category attr select
                            if(da['categoryAttributesEn'] != null)
                            {
                                for(i = 0; i< da['categoryAttributesEn'].length;i++)                                                                                         
                                {
                                    text2 += '<option value="'+da['categoryAttributesEn'][i]['id_category_attributes']+'">'+da['categoryAttributesEn'][i]['name']+" - "+da['categoryAttributesAr'][i]['name']+'</option>';	
                                }
                                $(".category_attrs").html(text2);      
                            }else{
                                $(".category_attrs").html("<option value='0'>No Attributes Found</option>");
                            }
                            // end add data to category attr select
                            // start add data to brand select
                            if(da['categoryBrandsEn'] != null)
                            {
                                for(i = 0; i< da['categoryBrandsEn'].length;i++)                                                                                         
                                {
                                    text3 += '<option value="'+da['categoryBrandsEn'][i]['id_brand']+'">'+da['categoryBrandsEn'][i]['name']+" - "+da['categoryBrandsAr'][i]['name']+'</option>';	
                                }
                                $(".brand_select").html(text3);      
                            }else{
                                $(".brand_select").html("<option value='0'>أخري</option>");
                            }
                            // end add data to brand select
                        }else{
                            alert("Error");
                        }
                    }
                });
                return false;
	});
    // end get sub category when change category

    
    
});
</script>
