<?php
    class Sales extends Controller{
		
        
        public function show_selected()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/
            // get id from url
            $id = (int)$this->loadRoute()->getSegment(2);
            if($id == 0)
            {
                $this->redirect("Errors","index");
                exit();
            }
            // get  data
            $dataView['request'] = $this->loadModel("RequestModel")->retrieveAllData("WHERE `id` =? AND `deleted` =?",array($id,1));
            if(!is_array($dataView['request']))
            {
                $this->redirect("Errors","index");
                exit();
            }
            $dataView['request'] = array_shift($dataView['request']);
            // get offer
            $dataView['offer'] = $this->loadModel("OfferModel")->retriveDataById("id",$dataView['request']['id_offer']); 
            // get reseller user
            $dataView['user'] = $this->loadModel("UserModel")->retriveDataById("id",$dataView['request']['id_user']); 
            $dataView['address'] = $this->loadModel("UserAddressModel")->retriveDataById("id",$dataView['request']['id_address']); 
            // get governate
            $dataView['governateEn'] = $this->loadModel("GovernateEnModel")->retriveDataById("id_governate",$dataView['address']['id_governate']);
            // get country
            $dataView['countryEn'] = $this->loadModel("CountryEnModel")->retriveDataById("id_country",$dataView['address']['id_country']);
            
            $dataView['paymentEnWay'] = $this->loadModel("PaymentWayEnModel")->retriveDataById("id_payment",$dataView['request']['payment_way']); 

            // set page title
			$dataView['title'] = "Show Sales Information";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."sales_show_selected";
            // load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
        public function update_image()
        {
                //get id
                $id = (int)$_POST['field_id'];
                 if($id == 0)
                {
                    echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                    exit;
                }else{
                        $upload = $this->loadUpload("image_name")->do_upload();
                       // check if there is error on image
                       if(array_key_exists("uploadError",$upload))
                       {
                           echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                            exit;

                       }else{
                           $dataModel['image'] = $upload['uploaded'][0];
                           if(false !== $this->loadModel("OfferModel",$dataModel)->updateData("id", $id))
                           {
                               echo $this->loadAjax()->DataToJson(array("status"=>"success","newImage"=>$dataModel['image']));
                                exit; 
                           }else{
                              echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                            exit;
                           }
                       }
                    }  
        }
        public function updateStatus()
        {
                if(isset($_POST['action'],$_POST['id'],$_POST['status']) && $_POST['action'] == "updateStatus")
                {
                    // get User id
                    $id = (int)$_POST['id'];
                    if($id == 0)
                    {
                        $this->redirect("Errors","index");
                        exit;
                    }else{
                        // get current status
                        $currentStatus = $_POST['status'];
                        // if current status = on set it off
                        if($currentStatus == "on")
                        {
                            $setStatus = 2;
                        }else{
                            $setStatus = 1;
                        }
                        $dataModel['status'] = $setStatus;

                        if(false !== $this->loadModel("OfferModel",$dataModel)->updateData("id", $id))
                        {
                            $this->loadModel("OfferReportModel",$dataModel)->updateData("id_offer", $id);
                         echo $this->loadAjax()->DataToJson(array("status"=>"success"));
                         exit;
                        }else{
                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));
                            exit;
                        }
                    }
                }
         }
        
        public function delete()
        {
                if(isset($_POST['action'],$_POST['id']) && $_POST['action'] == "deleteData")
                {
                    $id = (int)$_POST['id'];
                    if($id == 0)
                    {
                        $this->redirect("Errors","index");
                        exit;
                    }else{
                        if(FALSE !== $this->loadModel("OfferModel",array("deleted"=>2))->updateData("id",$id))
                        {
                            $this->loadModel("OfferReportModel",array("deleted"=>2))->updateData("id_offer",$id);
                            echo $this->loadAjax()->DataToJson(array("status"=>"success"));
                            exit;
                        }else{
                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));
                            exit;
                        }
                    }
                 }
         }
        public function deleteAttributes()
        {
                if(isset($_POST['action'],$_POST['id']) && $_POST['action'] == "deleteData")
                {
                    $id = (int)$_POST['id'];
                    if($id == 0)
                    {
                        $this->redirect("Errors","index");
                        exit;
                    }else{
                        if(FALSE !== $this->loadModel("CategoryAttributesModel",array("deleted"=>2))->updateData("id",$id))
                        {
                            echo $this->loadAjax()->DataToJson(array("status"=>"success"));
                            exit;
                        }else{
                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));
                            exit;
                        }
                    }
                 }
         }
        
    }

?>