<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post" enctype="multipart/form-data">
                <div class="col-lg-6">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Edit Brand</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                          <div class="box-body">
                              <div class="form-group">
                                <label>Category</label>
                                <select name="id_category" class="form-control chosen">
                                    <option value="0"> Choose Category</option>
                                    <?php

                                        if(isset($categories) && is_array($categories))
                                        {
                                            foreach($categories as $key=>$data)
                                            {
                                                if($data['id'] == $brand['id_category'])
                                                {
                                                    echo '<option selected value='.$data['id'].'>'.$categoryEn[$key]['name']." - ".$categoryAr[$key]['name'].'</option>';
                                                }else{
                                                    echo '<option value='.$data['id'].'>'.$categoryEn[$key]['name']." - ".$categoryAr[$key]['name'].'</option>';
                                                }
                                            }
                                        }else{
                                            echo '<option value="0">No Data Found</option>';
                                        }
                                      ?>
                                </select>
                            </div>  
                            <div class="form-group">
                              <label for="exampleInputEmail1">Brand Name</label>
                              <input type="text" name="enName" value="<?php echo $brandEn['name'] ;?>" class="form-control" id="exampleInputEmail1" placeholder="Example : samsung - apple">
                              <p class="help-block">Example : samsung - apple<p>
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">description</label>
                                <textarea name="en_description" class="form-control"><?php echo $brandEn['description']; ?></textarea>
                              <p class="help-block">Add Brand Description<p>
                            </div> 
                            <div class="form-group">
                              <label for="exampleInputEmail1">Brand KeyWords</label>
                                <textarea name="en_keywords" class="form-control"><?php echo $brandEn['keywords'] ?></textarea>
                              <p class="help-block">Add Brand KeyWords<p>
                            </div>   
                            <div class="form-group">
                              <label for="availability" class="set-block">Status</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio1" value="1" name="status" <?php if($brand['status']==1 ) echo "checked"; ?> >
                                 <label for="inlineRadio1"> Active </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio2" value="2" name="status" <?php if($brand['status']==2 ) echo "checked"; ?>>
                                 <label for="inlineRadio2"> Not Active </label>
                              </div>
                           </div>    
                          </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" name="edit" class="btn btn-primary">Edit</button>
                            </div>
                      </div>
                      <!-- /.box -->
                </div>
                <div class="col-lg-6 arab_dir">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">تعديل ماركة</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">أسم الماركة</label>
                              <input type="text" name="arName" value="<?php echo $brandAr['name'] ;?>" class="form-control" id="exampleInputEmail1" placeholder="مثال : سامسونج - ابل">
                              <p class="help-block">مثال : سامسونج - ابل<p>
                            </div>
                              <div class="form-group">
                              <label for="exampleInputEmail1">الوصف</label>
                                <textarea name="ar_description" class="form-control"><?php echo $brandAr['description']; ?></textarea>
                              <p class="help-block">أضف الوصف<p>
                            </div> 
                            <div class="form-group">
                              <label for="exampleInputEmail1">الكلمات الدليلية</label>
                                <textarea name="ar_keywords" class="form-control"><?php echo $brandAr['keywords']; ?></textarea>
                              <p class="help-block">أضف الكلمات الدليلية<p>
                            </div> 
                                                            
                          </div>
                          <!-- /.box-body -->
                      </div>
                      <!-- /.box -->
                </div>
                    
                </form>    
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->


