<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post" enctype="multipart/form-data">
                <div class="col-lg-6">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Edit Category</h3>
                          <a class="btn btn-primary pull-right" href="<?php echo BASE_URL."category/add"?>"><i class="fa fa-plus" aria-hidden="true"></i> Add a New Category</a>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">Category Name</label>
                              <input type="text" name="enName" value="<?php echo $categoryEn['name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Category Name">
                              <p class="help-block">Example : Cars - Clothes<p>
                            </div>
                            <div class="form-group">
                              <label for="availability" class="set-block">Sub Category ?</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" class="sub" id="sub1" value="1" name="sub" <?php if($category['id_category'] != NULL ) echo "checked"; ?>>
                                 <label for="sub1"> Yes </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" class="sub" id="sub2" value="2" name="sub" <?php if($category['id_category'] == NULL ) echo "checked"; ?>>
                                 <label for="sub2"> No </label>
                              </div>
                           </div>
                            <div class="form-group main_category" <?php if($category['id_category'] != NULL ) echo "style='display:block !important'"; ?>>
                              <label for="exampleInputEmail1">Main Category</label>
                              <select name="main_category"  class="form-control">
                                  <?php
                                    if(isset($categories) && is_array($categories))
                                    {
                                        foreach($categories as $key=>$data)
                                        {
                                            if($category['id_category'] == $data['id'])
                                            {
                                                echo '<option selected value='.$data['id'].'>'.$categoriesEn[$key]['name']." - ".$categoriesAr[$key]['name'].'</option>';
                                            }else{
                                                echo '<option value='.$data['id'].'>'.$categoriesEn[$key]['name']." - ".$categoriesAr[$key]['name'].'</option>';
                                            }
                                        }
                                    }else{
                                        echo '<option value="0">No Data Found</option>';
                                    }
                                  ?>
                              </select>
                              <p class="help-block">Select Main Category<p>
                            </div> 
                             <div class="form-group">
                              <label for="exampleInputEmail1">description</label>
                                <textarea name="en_description" class="form-control"><?php echo $categoryEn['description']; ?></textarea>
                              <p class="help-block">Add Category Description<p>
                            </div>

                              <div class="form-group">
                                  <label for="website-logo">Adverting Image</label>
                                  <img src="<?php echo UPLOAD_LINK.$category['adv_image'] ?>" data-id="<?php echo $category['id'] ?>" data-toggle="modal" data-target="#editadvertisngimage" class="img-responsive change-logo changpic" />
                                  <p class="help-block">Adverting Image</p>
                              </div>


                              <div class="form-group">
                              <label for="exampleInputEmail1">Category KeyWords</label>
                                <textarea name="en_keywords" class="form-control"><?php echo $categoryEn['keywords'] ?></textarea>
                              <p class="help-block">Add Category KeyWords<p>
                            </div>
                              <div class="form-group">
                                  <label>Category Images</label>
                                  <input id="" name="catmultipleimages[]" type="file" multiple class="form-control" >
                                  <p class="help-block">Upload Category Images.</p>
                              </div>
                            <div class="form-group">
                              <label for="availability" class="set-block">Status</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio1" value="1" name="status" <?php if($category['status']==1 ) echo "checked"; ?>>
                                 <label for="inlineRadio1"> Active </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio2" value="2" name="status" <?php if($category['status']==2 ) echo "checked"; ?>>
                                 <label for="inlineRadio2"> Not Active </label>
                              </div>
                           </div>    
                          </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" name="edit" class="btn btn-primary">Edit</button>
                            </div>
                      </div>
                      <!-- /.box -->
                </div>
                <div class="col-lg-6 arab_dir">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">تعديل القسم</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">أسم القسم</label>
                              <input type="text" name="arName" value="<?php echo $categoryAr['name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="أدخل أسم القسم باللغة العربية">
                              <p class="help-block">مثال : سيارات - ملابس<p>
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">الوصف</label>
                                <textarea name="ar_description" class="form-control"><?php echo $categoryAr['description']; ?></textarea>
                              <p class="help-block">أضف الوصف<p>
                            </div> 
                            <div class="form-group">
                              <label for="exampleInputEmail1">الكلمات الدليلية</label>
                                <textarea name="ar_keywords" class="form-control"><?php echo $categoryAr['keywords']; ?></textarea>
                              <p class="help-block">أضف الكلمات الدليلية<p>
                            </div>   
                                                            
                          </div>
                          <!-- /.box-body -->
                      </div>
                      <!-- /.box -->
                </div>
                    
                </form>    
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->
<!-- Start advertising modal  image  Modal -->
<div class="modal fade" id="editadvertisngimage" role="dialog">
    <div class="modal-dialog modal-md">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Edit Ssn Image</h4>
            </div>
            <div class="modal-body">
                <div id="updateImageResult"></div>
                <div class="row">
                    <div class="col-lg-9 pull-left">
                        <form id="updateImage" method="post" enctype="multipart/form-data">
                            <div class="form-group">
                                <label for="category-image"> Image</label>
                                <input type="file" name="image_name" id="image-file">

                                <p class="help-block">Choose Image.</p>
                            </div>

                            <input type="hidden" value=""  class="field_id" name="field_id" />
                            <input type="submit" class="btn btn-primary updatebtn" name="editImage" value="Save" />
                            <span class="loadingImage">
					  	<img src="customize\backend\images\Preloader_61.gif" />
					  </span>
                        </form>
                    </div>
                    <div class="col-lg-3 pull-right">
                        <img src="" alt="" title="Edit Image" class="img-responsive old-image" />
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!--End Edit ssn image Modal-->

<script>
$(document).ready(function(){
	// start show and hidden main category
    $(".sub").change(function(){
        var value = $(this).val();
        if(value == 1)
        {
            $(".main_category").show();    
        }else{
            $(".main_category").hide(); 
        }
    });
	// end show and hidden main category
	// start edit Advertisng  pic
	$(".changpic").click(function () {
		$("#updateImageResult").html("");
		// get id for update
		var myId = $(this).attr("data-id");
		// get image
		var image = $(this).attr("src");
		// set image into model
		$(".old-image").attr("src",image);
		// set  id in hidden input
		$(".field_id").attr("value",myId);
		$("#updateImage").submit(function(){
			$.ajax({
				url: "<?php echo BASE_URL."category/update_adv_image"; ?>",
				type: "POST",
				data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
				contentType: false,       // The content type used when sending data to the server.
				processData:false,
				beforeSend:function(){
					$(".loadingImage").show();
				},
				statusCode: {
					404: function() {
						alert( "page not found" );
					},
				},
				success:function(valdata) {
					$(".loadingImage").hide();
					var da = jQuery.parseJSON(valdata);
					if(da['status'] == "success")
					{
						$("#updateImageResult").html('<div class="alert alert-success" role="alert"><strong>Success </strong> Image Updated Successfuly </div>');
						$('#editadvertisngimage').modal('hide')
						// get image row id to change image when success
						var filedId = $(".field_id").val();
						$('.changpic').attr("src","<?php echo UPLOAD_LINK; ?>"+da['newImage']);

					}else{
						$("#changpic").html('<div class="alert alert-danger" role="alert"><strong> Error ! </strong> Error Update Your Image (Not Allowed Image Extension Or You Did Not Choose Image)</div>');
					}
				}
			});
			return false;
		});
	});
	// end edit ssn pic
});
</script>

