<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post">
                <div class="col-lg-6">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Edit Selected City</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">City Name</label>
                              <input type="text" name="enName" value="<?php echo $cityEn['name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter City Name">
                              <p class="help-block">Add City Name<p>
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">Governate</label>
                              <select name="governate"  class="form-control chosen">
                                  <?php
                                    if(isset($governates) && is_array($governates))
                                    {
                                        foreach($governates as $key=>$data)
                                        {
                                            if($data['id'] == $city['id_governate'])
                                            {
                                                echo '<option selected value='.$data['id'].'>'.$governatesEn[$key]['name']." - ".$governatesAr[$key]['name'].'</option>';
                                            }else{
                                                echo '<option value='.$data['id'].'>'.$governatesEn[$key]['name']." - ".$governatesAr[$key]['name'].'</option>';
                                            }
                                        }
                                    }else{
                                        echo '<option value="0">No Data Found</option>';
                                    }
                                  ?>
                              </select>
                              <p class="help-block">Select Governate<p>
                            </div>  
                            <div class="form-group">
                              <label for="exampleInputEmail1">City Longitude</label>
                              <input type="text" name="long" value="<?php echo $city['longitude'] ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter City Longitude">
                              <p class="help-block">Add City Longitude<p>
                            </div>
                             <div class="form-group">
                              <label for="exampleInputEmail1">City Latitude</label>
                              <input type="text" name="lat" value="<?php echo $city['latitude'] ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter City Latitude">
                              <p class="help-block">Add City Latitude<p>
                            </div> 
                            <div class="form-group">
                              <label for="exampleInputEmail1">Shipping</label>
                              <input type="text" name="shipping" value="<?php echo $city['shipping'] ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter City Shipping">
                              <p class="help-block">Add Shipping Example : 50<p>
                            </div>     
                            <div class="form-group">
                              <label for="availability" class="set-block">Status</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio1" value="1" <?php if($city['status']==1 ) echo "checked"; ?>  name="status" >
                                 <label for="inlineRadio1"> Active </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio2" value="2" <?php if($city['status']==2 ) echo "checked"; ?> name="status">
                                 <label for="inlineRadio2"> Not Active </label>
                              </div>
                           </div>    
                          </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" name="edit" class="btn btn-primary">Edit</button>
                            </div>
                      </div>
                      <!-- /.box -->
                </div>
                <div class="col-lg-6 arab_dir">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">تعديل مدينة</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">أسم المدينة</label>
                              <input type="text" name="arName" value="<?php echo $cityAr['name'] ?>" class="form-control" id="exampleInputEmail1" placeholder="أدخل أسم المدينة باللغة العربية">
                              <p class="help-block">أدخل اسم المدينة<p>
                            </div>
                                                            
                          </div>
                          <!-- /.box-body -->
                      </div>
                      <!-- /.box -->
                </div>
                    
                </form>    
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->
<script>
$(document).ready(function(){
	$(".chosen").chosen();
});
</script>
