<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Show Request Information</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                          <div class="box-body">
                              <table class="table table-bordered dt-responsive tablefordata">
                                    <tr>
                                        <td><strong>Order Id</strong></td>
                                        <td><strong><?php echo $request['id'] ?></strong></td>
                                    </tr>
                                    <tr>
                                        <td><strong>Offer Price</strong></td>
                                        <td><strong><?php echo $request['price']." ".$request['currency'] ?></strong></td>
                                    </tr>
                                  <tr>
                                        <td><strong>Order Quantity</strong></td>
                                        <td><strong><?php echo $request['quantity'] ?></strong></td>
                                    </tr>
                                  <tr>
                                        <td><strong>Total Order Price</strong></td>
                                        <td><strong><?php echo $request['total_price']." ".$request['currency'] ?></strong></td>
                                    </tr>
                                  <tr>
                                        <td><strong>Order Address</strong></td>
                                        <td>
                                            <strong>
                                                <?php
                                                    echo $address['firest_name']." ".$address['last_name'];
                                                    echo '<br />'.$address['building_number'].",".$address['street'].",".$address['region_name'];
                                                    echo '<br />'.$governateEn['name'].",".$countryEn['name'];
                                                ?>
                                            </strong>
                                      </td>
                                    </tr>
                                  <tr>
                                        <td><strong>Payment Way</strong></td>
                                        <td><strong><?php echo $paymentEnWay['name'] ?></strong></td>
                                    </tr>
                                  
                                    <tr>
                                        <td><strong>Offer Title</strong></td>
                                        <td><strong><a href="<?php echo BASE_URL."offer/show_selected/".$offer['id'] ?>"><?php echo $offer['title'] ?></a></strong></td>
                                    </tr>

                                  <tr>
                                        <td><strong>Offer Reseller Name</strong></td>
                                        <td><strong><?php echo $offer['reseller_name'] ?></strong></td>
                                    </tr>
                                  <tr>
                                        <td><strong>Offer Reseller Mail</strong></td>
                                        <td><strong><?php echo $offer['reseller_mail'] ?></strong></td>
                                    </tr>
                                  <tr>
                                        <td><strong>Offer Reseller Phone</strong></td>
                                        <td><strong><?php echo $offer['reseller_phone'] ?></strong></td>
                                    </tr>
                                  
                                  <tr>
                                        <td><strong>User Id</strong></td>
                                      <td><strong><a href="<?php echo BASE_URL."user/show_selected/".$user['id'] ?>"><?php echo $user['id'] ?></a></strong></td>
                                    </tr>
                                  <tr>
                                        <td><strong>User Name</strong></td>
                                      <td><strong><a href="<?php echo BASE_URL."user/show_selected/".$user['id'] ?>"><?php echo $user['name'] ?></a></strong></td>
                                    </tr>
                                  <tr>
                                        <td><strong>User Phone</strong></td>
                                      <td><strong><a href="<?php echo BASE_URL."user/show_selected/".$user['id'] ?>"><?php echo $user['phone'] ?></a></strong></td>
                                    </tr>
                                   <tr>
                                        <td><strong>User Mail</strong></td>
                                       <td><strong><a href="<?php echo BASE_URL."user/show_selected/".$user['id'] ?>"><?php echo $user['mail'] ?></a></strong></td>
                                    </tr>
                                    <tr>
                                        <td><strong>Order Created</strong></td>
                                        <td><strong><?php echo date("Y/m/d h:i:s A",$request['created']); ?></strong></td>
                                    </tr>
                                    
                              </table>
                          </div>
                          <!-- /.box-body -->
                      </div>
                      <!-- /.box -->
                </div>
                    
                </form>    
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
$(document).ready(function(){
	
    	//start update  status
        $(".tablefordata").on( 'click', '.status', function () {
             var myId = $(this).attr("data-id");
             var myaction = "updateStatus";
             var mystatus = $(this).attr("data-target");
             var allData = {"action":myaction,"id":myId,"status":mystatus};
            $.ajax({
                    url: "<?php echo BASE_URL.'user/updateStatus' ?>",
                    type:"POST",
                    data: allData,
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                        },
                    },
                    success:function(valdata) {
                        var da = JSON.parse(valdata);
                        if(da['status'] == "success")
                        {
                          if(mystatus == "on")
                          {
                             $(".update"+myId).removeClass("on") ;
                             $(".update"+myId).html("off");
                             $(".update"+myId).addClass("off");
                             $(".update"+myId).attr("data-target","off");
                          }else{
                              $(".update"+myId).removeClass("off") ;
                              $(".update"+myId).html("on");
                             $(".update"+myId).addClass("on");
                              $(".update"+myId).attr("data-target","on");
                          }
                        }else{
                            alert("faild");
                        }
                    }
                });
                return false;
        });
        
        //end update status
});
</script>