<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Edit Selected User</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                        <form role="form" method="post" enctype="multipart/form-data">
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">Full Name</label>
                              <input type="text" name="fullName" value="<?php echo $user['name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Administrator Full Name">
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">Mobile Number</label>
                              <input type="text" name="phone" value="<?php echo $user['phone']; ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Administrator Mobile Number">
                            </div> 
                            <div class="form-group">
                              <label for="exampleInputEmail1">Email Address</label>
                              <input type="email" name="email" value="<?php echo $user['mail']; ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Administrator Email Address">
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">Address</label>
                              <input type="text" name="address" value="<?php echo $user['address']; ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Administrator Address">
                            </div>                                 
                            <div class="form-group">
                                <label for="status" class="set-block">Status</label>
                                <div class="radio radio-info  radio-inline">
                                    <input type="radio" id="inlineRadio1" value="1" name="status" <?php if($user['status']==1 ) echo "checked"; ?> >
                                    <label for="inlineRadio1"> Active </label>
                                </div>
                                <div class="radio radio-info  radio-inline">
                                    <input type="radio" id="inlineRadio2" value="2" name="status" <?php if($user['status']==2 ) echo "checked"; ?>>
                                    <label for="inlineRadio2"> Not Active </label>
                                </div>
                            </div> 
                            <div class="form-group">
                                  <label for="password" class="set-block">Password </label>
                                    <a href="" data-toggle="modal" data-target="#changepassword" class="">Edit User Password</a>
                            </div>  
                          </div>
                          <!-- /.box-body -->
                          <div class="box-footer">
                            <button type="submit" name="edit" class="btn btn-primary">Edit</button>
                          </div>
                        </form>
                      </div>
                      <!-- /.box -->
                </div>
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<!-- Start change Password  Modal -->
<div class="modal fade" id="changepassword" role="dialog">
   <div class="modal-dialog modal-md">
      <!-- Modal content-->
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Edit User Password</h4>
         </div>
         <div class="modal-body">
            <div class="row">
               <div class="col-lg-12 pull-left">
                   <div id="updatePasswordResult"></div>
                  <form id="EditPassword">
                      
                     <div class="form-group">
                        <label for="category-image">New Password</label>
                        <input type="password" class="form-control"  id="password" name="password">
                        <p class="help-block">Insert New Password.</p>
                     </div>
                      <div class="form-group">
                        <label for="category-image">Confirm New Password</label>
                        <input type="password" class="form-control" id="repassword" name="repassword">
                        <p class="help-block">Re-Type New Password.</p>
                     </div>
                      <input type="hidden" name="user_id" value="<?php echo $user['id'] ?>" />
                     <input type="submit" class="btn btn-primary" name="editPass" value="Save" />
                  </form>
               </div>
            </div>
         </div>
         <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
         </div>
      </div>
   </div>
</div>
<!--End change password Modal-->

<script>
$(document).ready(function(){
    
     //start edit password
    $("#EditPassword").submit(function(){
         var formData = $(this).serialize();
         var allData  = formData + "&action=editPass";
                $.ajax({
                    url: "<?php echo BASE_URL."user/update_password"; ?>",
                    type:"POST",
                    data: allData, // Data sent to server, a set of key/value pairs (i.e. form fields and values)
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                      },
                      },
                      success:function(valdata) {
                          //alert(valdata);
                         var da = jQuery.parseJSON(valdata);
                          //alert("")
						  if(da['status'] == "success")
						  {
							$("#updatePasswordResult").html(da['message']);
							setTimeout(function(){$('#changepassword').modal('hide');}, 2000);
						  }else{
							 $("#updatePasswordResult").html(da['message']); 
						  }
                      }
                });
                return false;
             });
    //end edit password

});
</script>